%define oname		mx
%define libversion	1.0
%define gir_major	1.0

%define major           2
%define libname		%mklibname %{oname} %{libversion} %{major}
%define develname	%mklibname %{oname} %{libversion} -d
%define girname		%mklibname %{oname}-gir %{gir_major}

%define gtkmajor	0
%define	gtklibname	%mklibname %{oname}-gtk %{libversion} %{gtkmajor}
%define	gtkdevelname	%mklibname %{oname}-gtk	%{libversion} -d
%define	gtkgirname	%mklibname %{oname}-gtk-gir %{gir_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		lib%{oname}
Version:	1.4.7
Release:	%mkrel 1
Summary:	A clutter widget toolkit

Group:		System/Libraries
License:	LGPLv2
URL:		http://www.clutter-project.org
Source0:	https://github.com/clutter-project/mx/archive/%{version}/%{oname}-%{version}.tar.xz
Patch0:		0001-Replace-GL-data-types-with-equivalent-glib-types.patch
BuildRequires: pkgconfig(clutter-gesture)
BuildRequires: pkgconfig(clutter-imcontext-0.1)
BuildRequires: pkgconfig(clutter-x11-1.0) >= 1.7.91
BuildRequires: pkgconfig(dbus-glib-1) >= 0.82
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.20
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.9
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xrandr) >= 1.2.0
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:  gobject-introspection-devel

Requires: %{libname}

%description
Mx is a widget toolkit using Clutter that provides a set of standard interface
elements, including buttons, progress bars, scroll bars and others. It also
implements some standard  managers. One other interesting feature is the
possibility setting style properties from a CSS format file.

%package -n %{libname}
Summary:	Run-time library for %{name} clutter widget toolkit
Group:		System/Libraries

%description -n %{libname}
Run-time library for the %{name} clutter widget toolkit.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and libraries used for development with MX toolkit.


%prep
%setup -q -n mx-%{version}
%apply_patches

# don't run configure with autogen.sh
sed -i -e '/configure/,+2d' autogen.sh

%build
./autogen.sh
%configure2_5x \
	--disable-static \
	--enable-gtk-doc=no \
	--enable-introspection \
	--without-glade
	
%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%find_lang %{oname}-1.0

%files -f mx-1.0.lang
%{_bindir}/mx-create-image-cache
%{_datadir}/%{oname}

%files -n %{libname}
%{_libdir}/%{name}-%{libversion}.so.%{major}*
%{_libdir}/%{name}-gtk-%{libversion}.so.%{gtkmajor}*
%{_libdir}/girepository-1.0/Mx-%{gir_major}.typelib
%{_libdir}/girepository-1.0/MxGtk-%{gir_major}.typelib

%files -n %{develname}
%dir %{_includedir}/%{oname}-%{libversion}
%{_includedir}/%{oname}-%{libversion}/%{oname}
%{_libdir}/pkgconfig/%{oname}-%{libversion}.pc
%{_libdir}/%{name}-%{libversion}.so
%{_datadir}/gir-1.0/Mx-%{gir_major}.gir
%{_includedir}/%{oname}-%{libversion}/%{oname}-gtk
%{_libdir}/pkgconfig/%{oname}-gtk-%{libversion}.pc
%{_libdir}/%{name}-gtk-%{libversion}.so
%{_datadir}/gir-1.0/MxGtk-%{gir_major}.gir


%changelog
* Mon May 18 2020 tex - 1.4.7-1pclos2020
- 1.4.7
